%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}

Summary: Application to organize SSH connection information in a menu
Name: sshmenu
Version: 3.16
Release: 2%{?dist}
License: BSD
Group: User Interface/Desktops
URL: http://sshmenu.sourceforge.net/
Source0: http://dl.sf.net/sshmenu/sshmenu-%{version}.tar.gz
Patch0: sshmenu-3.15-libexec.patch
Patch1: sshmenu-3.15-sitelib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ruby
Requires: openssh-askpass
Requires: ruby(abi) = 1.8
Requires: ruby(gtk2)
# We only have ruby scripts and data, and the bonobo file gets picked up fine
BuildArch: noarch

%description
SSHMenu is a small program (which is to be used outside of GNOME) that
keeps all your regular SSH connections within a single menu. If you wish to
have the full GNOME applet version of the menu, install gnome-applet-sshmenu.


%package -n gnome-applet-sshmenu
Summary: GNOME panel applet to organize SSH connection information in a menu
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: ruby(gconf2)
Requires: ruby(panelapplet2)

%description -n gnome-applet-sshmenu
SSHMenu is a GNOME panel applet (which can also be used outside of GNOME) that
keeps all your regular SSH connections within a single panel menu.


%prep
%setup -q
%patch0 -p1 -b .libexec
%patch1 -p1 -b .sitelib


%build
# Nope... only ruby scripts :-)


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post -n gnome-applet-sshmenu
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -n gnome-applet-sshmenu
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc Changes License.txt README
%{_bindir}/sshmenu
%{ruby_sitelib}/sshmenu.rb
%{_mandir}/man1/sshmenu.1*

%files -n gnome-applet-sshmenu
%{_bindir}/sshmenu-gnome
%{_prefix}/lib/bonobo/servers/sshmenu-applet.server
%{ruby_sitelib}/gnome-sshmenu.rb
%{_libexecdir}/sshmenu-applet
%{_datadir}/icons/hicolor/48x48/apps/gnome-sshmenu-applet.png


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  9 2009 Matthias Saou <http://freshrpms.net/> 3.16-1
- Update to 3.16.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 17 2008 Matthias Saou <http://freshrpms.net/> 3.15-5
- Move gnome-sshmenu.rb to gnome-applet-sshmenu too.

* Wed Jan 16 2008 Matthias Saou <http://freshrpms.net/> 3.15-4
- Keep only ruby(gtk2) req in sshmenu, move others to gnome-applet-sshmenu.

* Mon Jan 14 2008 Matthias Saou <http://freshrpms.net/> 3.15-3
- Split out the GNOME applet as gnome-applet-sshmenu while keeping the basic
  menu application as sshmenu, and have all the shared ruby files be there.

* Mon Jan 14 2008 Matthias Saou <http://freshrpms.net/> 3.15-2
- Follow ruby guidelines : Put ruby files in ruby_sitelib.
- Add required hardcoded ruby abi version requirement.

* Tue Dec 18 2007 Matthias Saou <http://freshrpms.net/> 3.15-1
- Initial RPM release.

